OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_SelectLevelNumber Class Reference

This selection looks at Level Number of IGES Entities :
it considers items attached, either to a single level with a
given value, or to a level list which contains this value
Level = 0 means entities not attached to any level
Remark : the class CounterOfLevelNumber gives informations
about present levels in a file.
.

`#include <IGESSelect_SelectLevelNumber.hxx>`

Inheritance diagram for IGESSelect_SelectLevelNumber:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_SelectLevelNumber ()
| Creates a SelectLevelNumber, with no Level criterium : see SetLevelNumber. Empty, this selection filters nothing. .
Standard_EXPORT void | SetLevelNumber (const Handle(IFSelect_IntParam)&levnum)
| Sets a Parameter as Level criterium .
Standard_EXPORT Handle_IFSelect_IntParam | LevelNumber () const
| Returns the Level criterium. NullHandle if not yet set (interpreted as Level = 0 : no level number attached) .
Standard_EXPORT Standard_Boolean | Sort (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns True if <ent> is an IGES Entity with Level Number admits the criterium (= value if single level, or one of the attached level numbers = value if level list) .
Standard_EXPORT TCollection_AsciiString | ExtractLabel () const
| Returns the Selection criterium : "IGES Entity, Level Number admits <nn>" (if nn > 0) or "IGES Entity attached to no Level" (if nn = 0) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IFSelect_IntParam | thelevnum

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SelectLevelNumber::IGESSelect_SelectLevelNumber | ( |  | ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString IGESSelect_SelectLevelNumber::ExtractLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT const IGESSelect_SelectLevelNumber::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExtract.

Standard_EXPORT Handle_IFSelect_IntParam IGESSelect_SelectLevelNumber::LevelNumber | ( |  | ) | const

Standard_EXPORT void IGESSelect_SelectLevelNumber::SetLevelNumber | ( | const Handle(IFSelect_IntParam)& | levnum | ) |

Standard_EXPORT Standard_Boolean IGESSelect_SelectLevelNumber::Sort | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

## Field Documentation

Handle_IFSelect_IntParam IGESSelect_SelectLevelNumber::thelevnum`[private]`

The documentation for this class was generated from the following file:

- IGESSelect_SelectLevelNumber.hxx